## Struct content_spec_repeated

zeep::xml::doctype::content_spec_repeated

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    struct content_spec_repeated : public zeep::xml::doctype::content_spec_base {
      // construct/copy/destruct
      content_spec_repeated(content_spec_ptr, char);
      ~content_spec_repeated();

      // public member functions
      virtual state_ptr create_state() const;
      virtual bool element_content() const;

      // public data members
      content_spec_ptr m_allowed;
      char m_repetition;
    };

## Description

### `content_spec_repeated` public construct/copy/destruct

1.     content_spec_repeated(content_spec_ptr allowed, char repetion);

2.     ~content_spec_repeated();

### `content_spec_repeated` public member functions

1.     virtual state_ptr create_state() const;

2.     virtual bool element_content() const;